apply from: "${rootProject.rootDir}/buildCommon/commonLibConfig.gradle"
project.ext.setAppDefaultConfig project
project.ext.setArouterConfig project

android {
    defaultConfig {
        applicationId "com.common.commonlibtest"
    }

    signingConfigs {
        debug {
            storeFile file(rootProject.ext.sign.keystore_path)
            storePassword rootProject.ext.sign.keystore_pwd
            keyAlias rootProject.ext.sign.keystore_alias
            keyPassword rootProject.ext.sign.keystore_pwd
        }
        release {
            storeFile file(rootProject.ext.sign.keystore_path)
            storePassword rootProject.ext.sign.keystore_pwd
            keyAlias rootProject.ext.sign.keystore_alias
            keyPassword rootProject.ext.sign.keystore_pwd
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    buildFeatures {
        viewBinding true
    }
}

dependencies {
    implementation project(path: ':commonLib')

    implementation 'androidx.appcompat:appcompat:1.3.1'
    implementation 'com.google.android.material:material:1.4.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'

    // 添加kotlin依赖
    implementation rootProject.ext.dependencies.kotlin
    // 添加okhttp依赖
    implementation rootProject.ext.dependencies.okhttp
    // 添加retrofit依赖
    implementation rootProject.ext.dependencies.retrofit
    // 添加retrofit转化gson能力依赖
    implementation rootProject.ext.dependencies.converter_gson
    // 添加rxjava依赖
    implementation rootProject.ext.dependencies.rxjava
    // 添加rxAndroid依赖
    implementation rootProject.ext.dependencies.rxandroid
    // 添加retrofit和rxjava适配器
    implementation rootProject.ext.dependencies.retrofit_rxjava
}